import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = "http://project.test241.wanyuhengtong.com" + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}keepblist`, { data });
};

export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}keepbcreate`, { data });
};

export const httpDetail= (data: object): any => {
  return http.request("post", `${yewuApi}keepbinfo`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}keepbedit`, { data });
};

export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}keepbstatus`, { data });
};
